Bug 961613 - (CVE-2013-1993) CVE-2013-1993 Mesa: Multiple integer overflows leading to heap-based bufer overflows
CVE-2013-1993 Mesa: Multiple integer overflows leading to heap-based bufer ov...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 963063 963064 963065 963066
Blocks: 923585
  Show dependency treegraph
 
Reported: 2013-05-10 01:25 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-09-30 12:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 03:07:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-10 01:25:38 EDT
Multiple integer overflows leading to heap-based buffer overflows were found in libGLX in Mesa 9.1.1 and earlier

 Affected functions:  XF86DRIOpenConnection(), XF86DRIGetClientDriverName()
Comment 4 Jan Lieskovsky 2013-05-23 11:44:24 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 5 errata-xmlrpc 2013-06-03 13:41:57 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0898 https://rhn.redhat.com/errata/RHSA-2013-0898.html
Comment 6 errata-xmlrpc 2013-06-03 13:42:54 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0897 https://rhn.redhat.com/errata/RHSA-2013-0897.html
Comment 7 Jan Lieskovsky 2013-06-17 09:04:42 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 8 pouar 2013-09-22 19:27:00 EDT
(In reply to errata-xmlrpc from comment #6)
> This issue has been addressed in following products:
> 
>   Red Hat Enterprise Linux 6
> 
> Via RHSA-2013:0897 https://rhn.redhat.com/errata/RHSA-2013-0897.html

patch seems to be causing glxinfo to crash in VirtualBox
http://www.virtualbox.org/ticket/12043
affects my CentOS 6.4 machine but since CentOS is a rebuild/clone it probably affects RHEL 6.4 as well
Comment 9 Huzaifa S. Sidhpurwala 2013-09-25 03:56:11 EDT
(In reply to thepouar from comment #8)
> (In reply to errata-xmlrpc from comment #6)
> > This issue has been addressed in following products:
> > 
> >   Red Hat Enterprise Linux 6
> > 
> > Via RHSA-2013:0897 https://rhn.redhat.com/errata/RHSA-2013-0897.html
> 
> patch seems to be causing glxinfo to crash in VirtualBox
> http://www.virtualbox.org/ticket/12043
> affects my CentOS 6.4 machine but since CentOS is a rebuild/clone it
> probably affects RHEL 6.4 as well

Hi,

The above crash is non-security in nature and is already in the queue for the next minor release.
Comment 10 pouar 2013-09-25 10:40:10 EDT
(In reply to Huzaifa S. Sidhpurwala from comment #9)
> (In reply to thepouar from comment #8)
> > (In reply to errata-xmlrpc from comment #6)
> > > This issue has been addressed in following products:
> > > 
> > >   Red Hat Enterprise Linux 6
> > > 
> > > Via RHSA-2013:0897 https://rhn.redhat.com/errata/RHSA-2013-0897.html
> > 
> > patch seems to be causing glxinfo to crash in VirtualBox
> > http://www.virtualbox.org/ticket/12043
> > affects my CentOS 6.4 machine but since CentOS is a rebuild/clone it
> > probably affects RHEL 6.4 as well
> 
> Hi,
> 
> The above crash is non-security in nature and is already in the queue for
> the next minor release.

good point

Note You need to log in before you can comment on or make changes to this bug.